package ink.wgink.module.activiti.pojo.vos.oa;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @ClassName: OaOnFilePO
 * @Description: 归档
 * @Author: wanggeng
 * @Date: 2022/5/13 09:51
 * @Version: 1.0
 */
@ApiModel
public class OaOnFileVO implements Serializable {

    @ApiModelProperty(name = "formCode", value = "表单编码")
    private String formCode;
    @ApiModelProperty(name = "formVersion", value = "表单版本")
    private Integer formVersion;
    @ApiModelProperty(name = "processInstanceId", value = "实例ID")
    private String processInstanceId;
    @ApiModelProperty(name = "reportUid", value = "上报ID")
    private String reportUid;

    public String getFormCode() {
        return formCode == null ? "" : formCode.trim();
    }

    public void setFormCode(String formCode) {
        this.formCode = formCode;
    }

    public Integer getFormVersion() {
        return formVersion == null ? 0 : formVersion;
    }

    public void setFormVersion(Integer formVersion) {
        this.formVersion = formVersion;
    }

    public String getProcessInstanceId() {
        return processInstanceId == null ? "" : processInstanceId.trim();
    }

    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId;
    }

    public String getReportUid() {
        return reportUid == null ? "" : reportUid.trim();
    }

    public void setReportUid(String reportUid) {
        this.reportUid = reportUid;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"formCode\":\"")
                .append(formCode).append('\"');
        sb.append(",\"formVersion\":")
                .append(formVersion);
        sb.append(",\"processInstanceId\":\"")
                .append(processInstanceId).append('\"');
        sb.append(",\"reportUid\":\"")
                .append(reportUid).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
